Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.mail
Class BambooMailer

    java.lang.Object
      com.atlassian.bamboo.mail.BambooMailer

    public class BambooMailer

extends Object

Constructor Summary
`BambooMailer()`

Method Summary
`protected BambooContainer` | `getBambooContainer()`
`protected MailServerManager` | `getMailServerManager()`
`Writer` | `getWriter()`
`void` | `send(String template, Context context, List recipients, String subject)`
`void` | `send(String template, Context context, List recipients, String subject, SMTPMailServer mailServer)`
`void` | `setWriter(Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BambooMailer

    public BambooMailer()

Method Detail

### send

    public void send(String template,
                     Context context,
                     List recipients,
                     String subject)
              throws Exception

  Parameters:
    `template` - - the string representing the location of the email. Must be specified.
    `context` - - velocity context to pass for template merging and emailing. Must be specified.
    `recipients` - - `List` of `String`s representing email addresses. Must be specified.
    `subject` - - the subject line. Can be null.
  Throws:
    `Exception`

### send

    public void send(String template,
                     Context context,
                     List recipients,
                     String subject,
                     SMTPMailServer mailServer)
              throws Exception

  Parameters:
    `template` - - the string representing the location of the email. Must be specified.
    `context` - - velocity context to pass for template merging and emailing. Must be specified.
    `recipients` - - `List` of `String`s representing email addresses. Must be specified.
    `subject` - - the subject line. Can be null.
    `mailServer` - - The `SMTPMailServer` that you would like to use to send this email. If none is specified, the configured SMTP server will be used.
  Throws:
    `Exception`

### getMailServerManager

    protected MailServerManager getMailServerManager()

### getBambooContainer

    protected BambooContainer getBambooContainer()

### getWriter

    public Writer getWriter()

### setWriter

    public void setWriter(Writer writer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.